version: "3.8"
services:
  guidebook:
    build: .
    volumes:
      - type: bind
        source: .
        target: /workspace
    ports:
      - "8000:8000"
    depends_on:
      - plantuml
  plantuml:
    image: plantuml/plantuml-server:jetty
    expose:
      - 8080
    volumes:
      - ./compose/jetty-logging.properties:/var/lib/jetty/resources/jetty-logging.properties
    environment:
      - JAVA_OPTIONS=-Djava.util.logging.config.file=/var/lib/jetty/resources/jetty-logging.properties
